#ifndef _DEBUG_H__
#define _DEBUG_H__
#include <gnome.h>


#define ON 1
#define OFF 0
typedef struct _DebugChanel DebugChanel ;
struct _DebugChanel
{
    gint status;
    gint chanel_num;
    gchar *chanel_description;
};



enum {
    GM_BPANEL_CHANEL=0,
    GM_TABLE_PROPERTIES_CHANEL,
    GM_DBAPI_CHANEL,
    GM_QUERY_CHANEL,
    GM_UTILS_CHANEL,
    GM_DUMPOUT_CHANEL,
    GM_CLIST_CHANEL,
    GM_FORMULAR_CHANEL,
    GM_PRINTER_CHANEL,
    GM_LAST_CHANEL
};

enum {
    MESSAGE_LEVEL=0,
    WARNING_LEVEL
};




void gm_debug_message (gint chanel, const char *format, ...);
void gm_debug_warning (gint chanel, const char *format, ...);

#if GM_DEBUG_ON
/**
 * 
 * set the debug options from menu
 */
void gm_debug_toggle_chanel (GtkCheckMenuItem *item, gpointer chanel_pointer) ;
#endif


/* short form with chanel = -1 */
void gdm (const char *format, ...);
void gdw (const char *format, ...);


#endif
