#ifndef _GM_INTERFACE_H__
#define _GM_INTERFACE_H__
#include "gm.h"


GtkWidget * gm_interface_create_connection_window(GmConnection * connection);
void        gm_interface_show_hide_sql_log_panel (GmConnection * connection);
GtkWidget * gm_interface_new_query_page (GmConnection * connection, gboolean with_info_label);
void        gm_interface_show_hide_tree_panel (GmConnection *connection);


void        gm_interface_create_new_database (void *ignore, GmConnection *connection) ;
void        gm_interface_delete_databases (GmConnection *connection, GList *db_list) ;
void        gm_interface_show_tables (GmConnection * connection, gchar * database) ;
void        gm_interface_delete_tables (GmConnection *connection, gchar * database, GList *table_list) ;
void        gm_interface_new_table_properties_window (GmConnection * connection, gchar *database);
void        gm_interface_edit_table (GmConnection * connection, gchar *database, gchar *table);
void        gm_interface_show_query_result (GmConnection *connection, DbQuery * q, gint type);
gboolean    gm_interface_execute_query_and_show_result (GmConnection * connection, gchar * query, gboolean set_cursor_position);



#endif


