/*
 *   Copyright (C) 2001  mohamed Elassadi <mohamed@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _MYSQL_ADMIN_H__
#define _MYSQL_ADMIN_H__
#include "gm.h"



void gm_mysql_admin_show_variables   (void *ignore, GmConnection *connection);
void gm_mysql_admin_show_processlist (void *ignore, GmConnection *connection);
void gm_mysql_admin_show_status      (void *ignore, GmConnection *connection);
void gm_mysql_admin_flush            (void *ignore, GmConnection *connection);
void gm_mysql_admin_check_tables     (GmConnection *connection, gchar *database, GList * tables_list);
void gm_mysql_admin_repair_tables    (GmConnection *connection, gchar *database, GList * tables_list);
void gm_mysql_admin_analyze_tables   (GmConnection *connection, gchar *database, GList * tables_list);
void gm_mysql_admin_optimize_tables  (GmConnection *connection, gchar *database, GList * tables_list);
void gm_mysql_admin_truncate_tables  (GmConnection *connection, gchar *database, GList * tables_list);



#endif
