#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
#include <gnome.h>
#include "gm-app.h"
#include "gm-dbapi.h"
#include "gm-utils.h"
#include "gm-debug.h"
#include "gm-dialogs.h"
#include "gm-connection.h"


extern GmApp * global_app;

#ifndef GM_ENUMS
#define GM_ENUMS



enum {
    SQL_NOTEBOOK_PAGE=0,
    HISTORY_NOTEBOOK_PAGE,
    MESSAGES_NOTEBOOK_PAGE,
    ERRORS_NOTEBOOK_PAGE
};

typedef enum
{
    FLUSH_ALL = 1 << 1,
    FLUSH_HOSTS = 1 << 2,
    FLUSH_LOGS = 1 << 3,
    FLUSH_STATUS = 1 << 4,
    FLUSH_TABLES  = 1 << 5,
    FLUSH_LOCKED_TABLES = 1 << 6,
    FLUSH_PRIVILEGES = 1 << 7
} GmFlushFlags;

typedef enum
{
    CHECK_NORMAL=1,
    CHECK_QUICK,
    CHECK_FAST,
    CHECK_CHANGED,
    CHECK_EXTENDED
}GmCheckTableEnums;

typedef enum
{
    REPAIR_NORMAL=1,
    REPAIR_QUICK,
}GmRepairTableEnums;


#endif


