#ifndef __GTK_GMENTRY_H__
#define __GTK_GMENTRY_H__







#define GM_ENTRY(obj)          GTK_CHECK_CAST (obj, gm_entry_get_type (), GmEntry)
#define GM_ENTRY_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, gm_entry_get_type (), GmEntryClass)
#define IS_GM_ENTRY(obj)       GTK_CHECK_TYPE (obj, gm_entry_get_type ())




typedef struct _GmEntry       GmEntry;
typedef struct _GmEntryClass  GmEntryClass;


struct _GmEntry {
    GtkEntry entry;
    GList * completion_list;
    GCompletion * completion;
    gboolean compl_cycling;
    gchar * remember_message  ;
    gint remove_messages_timer_tag;
    gint remember_cursor_pos;

};

struct _GmEntryClass {
    GtkEntryClass parent_class;
};





guint      gm_entry_get_type (void);
GtkWidget* gm_entry_new      (void);



#endif /* __GTK_GMENTRY_H__ */
